/////////////////////////////////////////////////////////////////////////////MaK//////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////Scripting///////////////////////////////////////////////////////////////////////
//If you have any questions email me [MaK]HiNdSiGhT @ carrickh@bellsouth.net or 
//[MaK]McCall @ Goclem1@aol.com

newObject(PlayChatMenu, ChatMenu, "Root Menu:");
newObject(CommandChatMenu, ChatMenu, "Command Menu");

function setPlayChatMenu(%heading)
{
   $curPlayChatMenu = %heading;
}

function setCommanderChatMenu(%heading)
{
   $curCommanderChatMenu = %heading;
}

function addPlayTeamChat(%text, %msg, %sound)
{
   if(%sound != "")
   {
      %msg = %msg @ "~w" @ %sound;
   }
   if($curPlayChatMenu != "")
   {
      %text = $curPlayChatMenu @ "\\" @ %text;
   }
   addCMCommand(PlayChatMenu, %text, say, 1, %msg);
}

function addPlayChat(%text, %msg, %sound)
{
   if(%sound != "")
   {
      %msg = %msg @ "~w" @ %sound;
   }
   if($curPlayChatMenu != "")
   {
      %text = $curPlayChatMenu @ "\\" @ %text;
   }
   addCMCommand(PlayChatMenu, %text, say, 0, %msg);
}

function addPlayAnim(%text, %anim, %sound)
{
   if($curPlayChatMenu != "")
   {
      %text = $curPlayChatMenu @ "\\" @ %text;
   }
   addCMCommand(PlayChatMenu, %text, messageAndAnimate, %anim, %sound);
}

function addLocal(%text, %sound)
{
   if($curPlayChatMenu != "")
   {
      %text = $curPlayChatMenu @ "\\" @ %text;
   }
   addCMCommand(PlayChatMenu, %text, localMessage, %sound);
}

function addPlayCMDResponse(%text, %action, %msg, %sound)
{
   if(%sound != "")
      %msg = %msg @ "~w" @ %sound;
   if($curPlayChatMenu != "")
      %text = $curPlayChatMenu @ "\\" @ %text;
   addCMCommand(PlayChatMenu, %text, remoteEval, 2048, "CStatus", %action, %msg);
}

function addCommandResponse(%text, %action, %msg, %sound)
{
   if(%sound != "")
      %msg = %msg @ "~w" @ %sound;
   if($curCommanderChatMenu != "")
      %text = $curCommanderChatMenu @ "\\" @ %text;
   addCMCommand(CommandChatMenu, %text, remoteEval, 2048, "CStatus", %action, %msg);
}


function addContextCommand(%text, %type)
{
   if($curCommanderChatMenu != "")
      %text = $curCommanderChatMenu @ "\\" @ %text;
   addCMCommand(CommandChatMenu, %text, contextCommand, %type);
}

function addCommand(%text, %action, %msg, %sound)
{
   if(%sound != "")
      %msg = %msg @ "~w" @ %sound;
   if($curCommanderChatMenu != "")
      %text = $curCommanderChatMenu @ "\\" @ %text;
   addCMCommand(CommandChatMenu, %text, setIssueCommand, %action, %msg);
}

setPlayChatMenu("vOffense");
		addPlayTeamChat("aAttack!","Attack!", attack);
		addPlayTeamChat("wWait for signal", "Wait for my signal to attack.", aitsig);
		addPlayTeamChat("cCease fire", "Cease fire!", cease);
		addPlayTeamChat("mMove out", "Move out.", moveout);
		addPlayTeamChat("rRetreat", "Retreat!", retreat);
		addPlayTeamChat("hHit deck", "Hit the deck!", hitdeck);
		addPlayTeamChat("eRegroup", "Regroup.", regroup);
		addPlayTeamChat("vCover me", "Cover me!", coverme);
		addPlayTeamChat("gGoing offense", "Going offense.", ono);
		addPlayTeamChat("zAPC ready", "APC ready to go... waiting for passengers.", waitpas);

setPlayChatMenu("tTarget");
		addPlayTeamChat("aTarget acquired", "Target Acquired", tgtacq);
		addPlayTeamChat("fFire on my target", "Fire on my target", firetgt);
		addPlayTeamChat("nTarget needed", "I need a target.", needtgt);
		addPlayTeamChat("oTarget out of range", "Target out of range.", tgtout);
		addPlayTeamChat("dDestroy Enemy Generator", "Destroy the enemy genarator.", desgen);
		addPlayTeamChat("eEnemy Generator Destroyed", "Enemy generator destroyed.", gendes);
		addPlayTeamChat("tDestroy Enemy Turret", "Destroy enemy turret.", destur);
		addPlayTeamChat("sEnemy Turret Destroyed", "Enemy turret destroyed.", turdes);

setPlayChatMenu("dDefense");
		addPlayTeamChat("iIncoming Enemies", "Incoming enemies!", incom2);
		addPlayTeamChat("aAttacked", "We are being attacked.", basatt);
		addPlayTeamChat("eEnemy is attacking base", "The enemy is attacking our base.", basundr);
		addPlayTeamChat("nNeed more defense", "We need more defense.", needdef);
		addPlayTeamChat("bDefend our base", "Defend our base.", defbase);
		addPlayTeamChat("dDefending base", "Defending our base.", defend);
		addPlayTeamChat("tBase Taken", "Base is taken.", basetkn);
		addPlayTeamChat("cBase Clear", "Base is secured.", bsclr2);
		addPlayTeamChat("qIs Base Clear?", "Is our base clear?", isbsclr);

setPlayChatMenu("fFlag");
		addPlayTeamChat("gFlag gone", "Our flag is not in the base!", flgtkn1);
		addPlayTeamChat("eEnemy has flag", "The enemy has our flag!", flgtkm2);
		addPlayTeamChat("hHave enemy flag", "I have the enemy flag.", haveflg);
		addPlayTeamChat("sFlag secure", "Our flag is secure.", flaghm);
		addPlayTeamChat("rReturn our flag", "Return our flag to base.", retflag);
		addPlayTeamChat("fGet enemy flag", "Get the enemy flag.", geteflg);
		addPlayTeamChat("mFlag mined", "Our flag is mined.", flgmine);
		addPlayTeamChat("cClear mines", "Clear the mines from our flag.", clrflg);
		addPlayTeamChat("dMines cleared", "Mines have been cleared.", mineclr);
		addPlayTeamChat("wWorse", "Ive Had Worse!", tuant11);

setPlayChatMenu("rNeed");
		addPlayTeamChat("rNeed Repairs", "Need repairs.", needrep);
		addPlayTeamChat("aNeed APC Pickup", "I need an APC pickup.", needpku);
		addPlayTeamChat("eNeed Escort", "I need an escort back to base.", needesc);
		addPlayTeamChat("tNeed Ammo", "Can anyone bring me some ammo?", needamo);

setPlayChatMenu("eTeam");
		addPlayTeamChat("wWatch Shooting", "Watch where your shooting!", wshoot3);
		addPlayTeamChat("dDont know", "I don't know.", dontkno);
		addPlayTeamChat("nNo", "No.", no);
		addPlayTeamChat("yYes", "Yes.", yes);
		addPlayTeamChat("tThanks", "Thanks.", thanks);
		addPlayTeamChat("aNo Problem", "No Problem.", noprob);
		addPlayTeamChat("sSorry", "Sorry.", sorry);
		addLocal("hHurry station", hurystn);

setPlayChatMenu("cCustom");
		addPlayChat("rMartin", "Coming after you Martin!", martin);
		addPlayChat("mMaK is back BABY", "Mak is back BABY.", makbck);
		addPlayChat("lLife", "Im confused about life, yet at the same time I understand it.......  Wierd isnt it?", lifesux);
		addPlayChat("sScrewed", "I just Screwed their base.", screwed);
		addPlayChat("iPieceme", "You want a piece of me............. YOU GOT IT.", pieceme);
		addPlayChat("fFlagMe", "Hey wait a minute I have the FLAG.", ihavefl);
		addPlayChat("aAffirmative", "Thats Affirmative!", affirm);
		addPlayChat("nNegative", "Negative.", negativ);
		addPlayChat("gNotGoin", "Nope Not Gonna Do It...", notgoin);
		addPlayChat("yYeap", "Yeeaaaaaap.", yeap);
		addPlayChat("2Mak2", "MaK is Back Baby", makbck2);
		addPlayChat("oImOn", "Im On It.", imonit);
		addPlayChat("hGetBack", "Get back our flag.", getback);
		addPlayChat("pPissed", "I dont mean to piss you off.", pissedo);
			


setPlayChatMenu("wWazzzuuup");
               		addPlayChat("1Wazzup1", "WAZZZZZUUUUP!", zup1);
                		addPlayChat("2Wazzup2", "Wasssuuuuuuuuuuuuuuup!?", zup2);
                		addPlayChat("3Wazzup3", "Wuzzzaaaaaaaaaaaaa?!", zup3);
                		addPlayChat("4Wazzup4", "Wazzzaaaaap....blaaaaaaah!", zup4);
                		addPlayChat("5Wazzup5", "WAAAaAaAASAAAaAAAP!?!!!", zup5);
                		addPlayChat("6Wazzup6", "Whasssuup?!!", zup6);
                		addPlayChat("7Wazzup7", "Suuuuuuuuup ha ha!", zup7);
                		addPlayChat("wBud", "Watchin' the game, havin' a Bud.", zupbud);
                		addPlayChat("dDookie", "Yo! Where's Dookie?", herduki);
                		addPlayChat("lLong", "Wasssuuuuuuuuu AAAAAh EEEHEEeh AAAAAHh WOO!", zuplong);
                		addPlayChat("bWassupB", "So, whassup B?", zupbee);
                		addPlayChat("tTrue", "True, True.", zuptrue);

setPlayChatMenu("aAnimations");
		addPlayAnim("oOver here", 0, ovrhere);
		addPlayAnim("dMove out of way", 1, outway);
		addPlayAnim("rRetreat", 2, retreat);
		addPlayAnim("sStop", 3, dsgst4);
		addPlayAnim("fSalute", 4, yes);
		addPlayAnim("zKneel Pose", 10);
		addPlayAnim("xStand Pose", 11);
		addPlayAnim("qCelebrate 1", 5, cheer1);
		addPlayAnim("eCelebrate 2", 6, cheer2);
		addPlayAnim("wCelebrate 3", 7, cheer3);
		addPlayAnim("vTaunt 1 - how'd that feel?", 8, taunt10);
		addPlayAnim("gTaunt 2 - Come get some", 9, taunt4);
		addPlayAnim("hWave - Hi", 12, hello);
		addPlayAnim("bWave - Bye", 12, bye);
		

setPlayChatMenu("gGlobal");
		addPlayChat("aDoh", "Doh!", oops1);
		addPlayChat("bOops", "Ohhhhh Noooooo!", oops2);
		addPlayChat("cShazbot", "Shazbot!", color2);
		addPlayChat("dDamnit", "Damnit!", color6);
		addPlayChat("eCrap", "Craaaaappppppp!", color7);
		addPlayChat("fDuh", "Duh.", dsgst1);
		addPlayChat("gYou Idiot", "You Idiot!", dsgst2);
		addPlayChat("hGG", "Good Game!", gg);
		addPlayChat("2GF", "Good Fight", gf);
		addPlayChat("iNS", "Nice Shot.", ns);
		addPlayChat("jHi", "Hi.", hello);
		addPlayChat("kBye", "Bye.", bye);
		addPlayChat("lHi_MaK", "Hey MaK.", hello);
		addPlayChat("mBye_MaK", "Bye MaK.", bye);
		addPlayChat("nThanks", "Thanks.", thanks);
		addPlayChat("oNoProb", "No Problem.", noprob);
		addPlayChat("pYes", "Yes.", yes);
		addPlayChat("qNo", "No.", no);
		addPlayChat("rNeg.", "Thats a BIG Negative!", no);
		addPlayChat("sAff.", "Ok fine have it your way.", yes);
		addPlayChat("tBye.", "Bye All.", bye);
		addPlayChat("uHow.", "How would I know.", dontkno);
		addPlayChat("vNewbie", "What a Newbie.", newb);
		addPlayChat("wAttack", "Attack.", attack);
		addPlayChat("xCease fire", "Cease fire!", cease);
		addPlayChat("yHmm.", "Hmmmmmmmm......", color3);
		addPlayChat("zHow.", "How'd that feel?", taunt10);	
		

setPlayChatMenu("sSeinfield");
		addPlayChat("sSoWhats", "So Whats Up Diggidy Dog.", sdog);
		addPlayChat("dDismsed", "Dismissed.", dismsed);
		addPlayChat("hHighFive", "High Five!", high5_1);
		addPlayChat("lLeave", "Dont Leave Me Hanging.", leavehng);
		addPlayChat("iImD", "I Dangerous, Im Very, Very Dangerous.", sfdang);
		addPlayChat("bStep", "Step Back Son, Theres Nothing To See Here.", stepback);
		addPlayChat("vVeryS", "This Is All Very Sophisticated.", versoph);
		addPlayChat("mBogus", "This Is Bogus Man.", bogus);
		addPlayChat("aGiddyup", "Giddyup.", giddyup1);
		addPlayChat("tTalkwalk", "I talk the talk, and I walk the walk baby.", talkwalk1);

setPlayChatMenu("oOthers");
		addPlayChat("vVan", "And I live in a van down by the river.", farley031);
		addPlayChat("gGoodEnough", "Because I'm good enough, I'm smart enough, and doggonnit, people like me.", smalley1);
		addPlayChat("cCakehole", "Mom, I want you to be Santa's little helper, and SHUT YOUR DAMN CAKEHOLE!!", cakehole1);
		addPlayChat("pPriceWrong", "The price is wrong bitch!", priceiswrong1);
		addPlayChat("aPeePants", "Yea, you aint cool unless you pee your pants.", aintcool1);
		addPlayChat("bBag", "This sorta thing isnt my bag baby.", bag);
		addPlayChat("dDangers", "Dangers my middle name.", dangers);
		addPlayChat("tTold", "I done told you once you son of a bitch im the best theres ever been", sonof);
		addPlayChat("sShowU", "Your pretty good old son, but sit down in that chair right there and let me show you how its done.", showu);
		addPlayChat("rRegret", "Ill take your bet, your gonna regret, cause im the best theres ever been.", regret);
		addPlayChat("lLetMe", "Lemme show you something!", inliv);
		

setPlayChatMenu("mMiss.");
		
		addPlayChat("1You", "You = Gay.", cheer1);
		addPlayChat("2You2", "You + Your Clan = Gays.", cheer2);
		addPlayChat("3LOL", "*Laugh*Out*Loud*", cheer3);
		addPlayChat("4ROFL", "*Rooling*On*The*Floor*Laughing*", cheer2);
		addPlayChat("5Wait", "Wait.......... That might be it.......... HeH NoPe!!!", no);
		addPlayChat("6Nope", "Nope, Im Sorry, Your Wrong.", sorry);
		addPlayChat("7Help", "Help im in a server full of Newbies!!", help);
		addPlayChat("oLook", "Look, you stupid bastard. You've got no arms left.  Yes I have, look, just a flesh wound.", mp4);
		addPlayChat("kKnights", "We are now the knights who say NI!", mp10); 
		
		
setPlayChatMenu("yVotes");
		addPlayChat("yVoteY", "Vote Yes....... You Newbies.......", yes);
		addPlayChat("nVoteN", "Vote No........ You Newbies.......", no);
		addPlayChat("tTK", "Oh I understand you guys like TK's", cheer2);
		addPlayChat("kKick", "Kick this TK/BK", yes);
		addPlayChat("2Tab2", "Press Tab 2, You Will Become A Super Admin!!!", cheer1); 		addPlayChat("3Tab3", "Press Tab 3, You Will Become A Super Admin!!!", cheer1);
		addPlayChat("4VoteY2", "Vote YES!!!!!", yes);
		addPlayChat("5VoteN2", "Vote NO!!!!!", no);








